![Logo Rougail](../logo.png "logo rougail")

# Rougail

Rougail est un bibliothèque python3 qui permet de charger des dictionnaires (fichiers au format YAML) dans le but de charger les variables dans Tiramisu.

![Schéma](schema.png "Schéma")


[Débutons avec Rougail](getting_started.md).

## La bibliothèque

  - [La bibliothèque](dev/README.md)
  - [La configration de la bibliothèque](dev/config.md)

## Les dictionnaires

  - [Les dictionnaires](dictionary/rougail.md)
  - [Convention d'écriture d'un dictionnaire](dictionary/convention.md)

### Les variables

  - [Les variables](variable/README.md)
  - [Les familles](family/README.md)
  - [Les variables à valeur par défaut calculées](fill/README.md)
  - [Les vérifications des valeurs](check/README.md)
  - [Les propriétés calculées](condition/README.md)
