---
gitea: none
include_toc: true
---

# Les dictionnaires

## Un dictionnaire ?

Un dictionnaire est un fichier YAML dont la structure est décrite dans cette documentation.

Un dictionnaire contient en ensemble de variable chargé dans [Tiramisu](https://forge.cloud.silique.fr/gnunux/tiramisu), utilisable à tout moment, notamment dans des templates.

Les familles et les variables peuvent être définis dans plusieurs dictionnaires. Ces dictionnaires s'aggrègent alors.

Les dictionnaires sont chargés dans l'ordre des répertoires [définit avec le paramètre `dictionaries_dir` de la configuration](../dev/config.md). Chaque répertoire est chargé les uns après les autres. A l'intérieur de ces répertoires les fichiers YAML seront classés par ordre alphabétique.

Il n'y a pas de classement par ordre alphabétique de l'ensemble des fichiers YAML de tous les répertoires.

Il est également possible de redéfinir des éléments pour changer les comportement d'une famille ou d'une variable.

## L'espace de nom par défaut

Les familles et variables de ces dictionnaires sont classées, par défaut, dans l'espace de nom `rougail`. Il est possible de changer le nom de cet espace de nom [avec le paramètre `variable_namespace` de la configuration](../dev/config.md).

Cet espace de nom est un peu particulier, il peut accéder a des variables dans un autre espace de nom.

## Les dictionnaires extra

Un extra est un espace de nom différent. L'idée et de pouvoir classer les variables par thématique.

Les espaces de nom extra doivent être déclaré au moment [de la configuration de Rougail](../dev/config.md).

Dans cet espace de nom on ne peut pas accéder à des variables d'un autre espace de nom `extra`. Par contre il est possible d'accéder au variable de l'espace de nom par défaut.
