from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("normal")
ALLOWED_LEADER_PROPERTIES.add("expert")
from importlib.machinery import SourceFileLoader as _SourceFileLoader
from importlib.util import spec_from_loader as _spec_from_loader, module_from_spec as _module_from_spec
global func
func = {'calc_value': calc_value}

def _load_functions(path):
    global _SourceFileLoader, _spec_from_loader, _module_from_spec, func
    loader = _SourceFileLoader('func', path)
    spec = _spec_from_loader(loader.name, loader)
    func_ = _module_from_spec(spec)
    loader.exec_module(func_)
    for function in dir(func_):
        if function.startswith('_'):
            continue
        func[function] = getattr(func_, function)
_load_functions('tests/dictionaries/../eosfunc/test.py')
option_4 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
option_5 = StrOption(name="activer_ejabberd", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
optiondescription_3 = OptionDescription(name="general", doc="général", children=[option_4, option_5], properties=frozenset({"normal"}))
optiondescription_2 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_3], properties=frozenset({"normal"}))
option_9 = StrOption(name="description", doc="description", multi=True, default=["test"], properties=frozenset({"mandatory", "normal", "notempty"}))
option_10 = ChoiceOption(name="mode", doc="mode", values=("pre", "post"), multi=True, default_multi="pre", properties=frozenset({"mandatory", "normal"}))
optiondescription_8 = Leadership(name="description", doc="description", children=[option_9, option_10], properties=frozenset({"normal"}))
optiondescription_7 = OptionDescription(name="ejabberd", doc="ejabberd", children=[optiondescription_8], properties=frozenset({"normal"}))
optiondescription_6 = OptionDescription(name="extra", doc="extra", children=[optiondescription_7], properties=frozenset({"normal"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2, optiondescription_6], properties=frozenset({"normal"}))
option_14 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
option_15 = StrOption(name="activer_ejabberd", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
optiondescription_13 = OptionDescription(name="general", doc="général", children=[option_14, option_15], properties=frozenset({"normal"}))
optiondescription_12 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_13], properties=frozenset({"normal"}))
option_19 = StrOption(name="description", doc="description", multi=True, default=["test"], properties=frozenset({"mandatory", "normal", "notempty"}))
option_20 = ChoiceOption(name="mode", doc="mode", values=("pre", "post"), multi=True, default_multi="pre", properties=frozenset({"mandatory", "normal"}))
optiondescription_18 = Leadership(name="description", doc="description", children=[option_19, option_20], properties=frozenset({"normal"}))
optiondescription_17 = OptionDescription(name="ejabberd", doc="ejabberd", children=[optiondescription_18], properties=frozenset({"normal"}))
optiondescription_16 = OptionDescription(name="extra", doc="extra", children=[optiondescription_17], properties=frozenset({"normal"}))
optiondescription_11 = OptionDescription(name="2", doc="2", children=[optiondescription_12, optiondescription_16], properties=frozenset({"normal"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_11])
